#### D.4.7.6 nselect

Procedure from library `elim.lib` (see elim_lib).

Usage:
  nselect(id,v); id = ideal, module or matrix, v = intvec

Return:
  generators (or columns) of id not containing the variables with index an entry of v

Example:

    LIB "elim.lib";
    ring r=0,(x,y,t,s,z),(c,dp);
    ideal i=x-y,y-z2,z-t3,s-x+y3;
    nselect(i,3);
    ==> _[1]=x-y
    ==> _[2]=-z2+y
    ==> _[3]=y3-x+s
    module m=i*(gen(1)+gen(2));
    m;
    ==> m[1]=[x-y,x-y]
    ==> m[2]=[-z2+y,-z2+y]
    ==> m[3]=[-t3+z,-t3+z]
    ==> m[4]=[y3-x+s,y3-x+s]
    nselect(m,3..4);
    ==> _[1]=[x-y,x-y]
    ==> _[2]=[-z2+y,-z2+y]
    nselect(matrix(m),3..4);
    ==> _[1,1]=x-y
    ==> _[1,2]=-z2+y
    ==> _[2,1]=x-y
    ==> _[2,2]=-z2+y

See also: select; select1.

User manual for Singular version 4.4.1, 2025, generated by texi2html.